@ECHO OFF

REM If your zdoom.ini file is in a location other than the default, put the path to your ZDoom .ini file here:
SET ZDoomINI="..\zdoom-%username%.ini"
REM This defines the IWAD to use if a PWAD is loaded
SET IWAD="..\doom2.wad"

REM If a command line parameter was provided, automatically load the IWAD as defined above
SET /A ArgCount=0    
FOR %%C in (%*) DO SET /A ArgCount+=1
SET Addons=""
IF /I %ArgCount% GTR 0 SET Addons=%IWAD%

REM Change to the Wolf3D TC directory so that you can drag and drop from other folders and it will still work
CD "%~dp0"

REM Check to see if Wolf3D .ini file is already there
IF EXIST "zdoom-%username%-SoD.ini" (
	REM If so, run normally
	START ..\zdoom.exe .\Wolf3D_Common.pk7 -config "zdoom-%username%-SoD.ini" -file %Addons% %*
) ELSE (
	REM If not, do initial setup for first run
	COPY %ZDoomINI% "zdoom-%username%-SoD.ini"
	START ..\zdoom.exe .\Wolf3D_Common.pk7 -config "zdoom-%username%-SoD.ini" +exec Wolf3D_SoD.cfg -file %Addons% %*
)